package com.ningdatech.kqapi.zzsfw.enumeration;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

import java.util.Objects;

@Getter
@AllArgsConstructor
@NoArgsConstructor
public enum ItemTypeEnum {
    /**
     * 事项类型 枚举
     */
    GOV(1,"政府服务"),
    ADDED(2,"增值服务"),
    SPECIAL(3,"特殊服务");

    private Integer code;
    private String desc;

    public static ItemTypeEnum match(Integer code) {
        if (Objects.isNull(code)) {
            return null;
        }
        for (ItemTypeEnum t : ItemTypeEnum.values()) {
            if (code.equals(t.getCode())) {
                return t;
            }
        }
        return null;
    }
}
